Summary:	Rygel - collection of DLNA (UPnP AV) services
Summary(pl.UTF-8):	Rygel - zbiór usług DLNA (UPnP AV)
Name:		rygel
Version:	0.28.3
Release:	2
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/rygel/0.28/%{name}-%{version}.tar.xz
# Source0-md5:	79a4f81c549a28ebb7578aa58c5cc0f4
Source1:	git-version-gen
Patch0:		gtk-doc.patch
URL:		https://wiki.gnome.org/Projects/Rygel
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gobject-introspection-devel >= 1.33.4
BuildRequires:	gssdp-devel >= 0.13.0
BuildRequires:	gstreamer-devel >= 1.0.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gupnp-av-devel >= 0.12.4
BuildRequires:	gupnp-devel >= 0.20.14
BuildRequires:	gupnp-dlna-devel >= 0.9.4
BuildRequires:	gupnp-dlna-gst-devel >= 0.9.4
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgee-devel >= 0.8.0
BuildRequires:	libmediaart2-devel >= 0.7.0
BuildRequires:	libsoup-devel >= 2.44.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libunistring-devel
BuildRequires:	libuuid-devel >= 1.41.3
BuildRequires:	libxml2-devel >= 1:2.7
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3.5
BuildRequires:	tracker-devel >= 1.0
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-gupnp >= 0.20.14
BuildRequires:	vala-gupnp-av >= 0.12.4
BuildRequires:	vala-libgee >= 0.8.0
BuildRequires:	vala-libmediaart2 >= 0.7.0
BuildRequires:	valadoc >= 0.2
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	glib2 >= 1:2.40.0
Requires:	gssdp >= 0.13.0
Requires:	gstreamer >= 1.0.0
Requires:	gtk+3 >= 3.0.0
Requires:	gupnp >= 0.20.14
Requires:	gupnp-av >= 0.12.4
Requires:	gupnp-dlna >= 0.9.4
Requires:	gupnp-dlna-gst >= 0.9.4
Requires:	libgee >= 0.8.0
Requires:	libmediaart2 >= 0.7.0
Requires:	libsoup >= 2.44.0
Requires:	libuuid >= 1.41.3
Requires:	libxml2 >= 1:2.7
Requires:	sqlite3 >= 3.5
Requires:	tracker-libs >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP
speak), implemented through a plug-in mechanism.

%description -l pl.UTF-8
Rygel to zbiór usług (urządzeń w języku UPnP) DLNA (UPnP AV),
zaimplementowany poprzez mechanizm wtyczek.

%package devel
Summary:	Rygel header files
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Rygel
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gstreamer-devel >= 1.0.0
Requires:	gupnp-av-devel >= 0.12.4
Requires:	libgee-devel >= 0.8.0
Requires:	libuuid-devel >= 1.41.3

%description devel
Rygel header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Rygel.

%package apidocs
Summary:	API documentation for Rygel libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek Rygel
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for Rygel libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek Rygel.

%package -n vala-rygel
Summary:	Vala API for Rygel libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek Rygel
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.24.0
Requires:	vala-gupnp >= 0.20.14
Requires:	vala-gupnp-av >= 0.12.4
Requires:	vala-libgee >= 0.8.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-rygel
Vala API for Rygel libraries.

%description -n vala-rygel -l pl.UTF-8
API języka Vala do bibliotek Rygel.

%prep
%setup -q
%patch0 -p1
#install -m755 %{SOURCE1} build-aux/git-version-gen

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gst-launch-plugin \
	--enable-mediathek-plugin \
	--disable-silent-rules \
	--disable-valadoc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/rygel-2.6/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/rygel
%attr(755,root,root) %{_bindir}/rygel-preferences
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rygel.conf
%attr(755,root,root) %{_libdir}/librygel-core-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librygel-core-2.6.so.2
%attr(755,root,root) %{_libdir}/librygel-db-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librygel-db-2.6.so.2
%attr(755,root,root) %{_libdir}/librygel-renderer-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librygel-renderer-2.6.so.2
%attr(755,root,root) %{_libdir}/librygel-renderer-gst-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librygel-renderer-gst-2.6.so.2
%attr(755,root,root) %{_libdir}/librygel-ruih-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librygel-ruih-2.0.so.1
%attr(755,root,root) %{_libdir}/librygel-server-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librygel-server-2.6.so.2
%{_libdir}/girepository-1.0/RygelCore-2.6.typelib
%{_libdir}/girepository-1.0/RygelRenderer-2.6.typelib
%{_libdir}/girepository-1.0/RygelRendererGst-2.6.typelib
%{_libdir}/girepository-1.0/RygelServer-2.6.typelib
%dir %{_libexecdir}/rygel
%attr(755,root,root) %{_libexecdir}/rygel/mx-extract
%dir %{_libdir}/rygel-2.6
%dir %{_libdir}/rygel-2.6/engines
%attr(755,root,root) %{_libdir}/rygel-2.6/engines/librygel-media-engine-gst.so
%{_libdir}/rygel-2.6/engines/media-engine-gst.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/engines/librygel-media-engine-simple.so
%{_libdir}/rygel-2.6/engines/media-engine-simple.plugin
%dir %{_libdir}/rygel-2.6/plugins
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-external.so
%{_libdir}/rygel-2.6/plugins/external.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-gst-launch.so
%{_libdir}/rygel-2.6/plugins/gst-launch.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-media-export.so
%{_libdir}/rygel-2.6/plugins/media-export.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-mediathek.so
%{_libdir}/rygel-2.6/plugins/mediathek.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-mpris.so
%{_libdir}/rygel-2.6/plugins/mpris.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-ruih.so
%{_libdir}/rygel-2.6/plugins/ruih.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-tracker.so
%{_libdir}/rygel-2.6/plugins/tracker.plugin
%attr(755,root,root) %{_libdir}/rygel-2.6/plugins/librygel-playbin.so
%{_libdir}/rygel-2.6/plugins/playbin.plugin
%{_desktopdir}/rygel-preferences.desktop
%{_desktopdir}/rygel.desktop
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/rygel
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/rygel.1*
%{_mandir}/man5/rygel.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librygel-core-2.6.so
%attr(755,root,root) %{_libdir}/librygel-db-2.6.so
%attr(755,root,root) %{_libdir}/librygel-renderer-2.6.so
%attr(755,root,root) %{_libdir}/librygel-renderer-gst-2.6.so
%attr(755,root,root) %{_libdir}/librygel-ruih-2.0.so
%attr(755,root,root) %{_libdir}/librygel-server-2.6.so
%{_datadir}/gir-1.0/RygelCore-2.6.gir
%{_datadir}/gir-1.0/RygelRenderer-2.6.gir
%{_datadir}/gir-1.0/RygelRendererGst-2.6.gir
%{_datadir}/gir-1.0/RygelServer-2.6.gir
%dir %{_includedir}/rygel-2.6
%{_includedir}/rygel-2.6/rygel-core.h
%{_includedir}/rygel-2.6/rygel-db.h
%{_includedir}/rygel-2.6/rygel-renderer-gst.h
%{_includedir}/rygel-2.6/rygel-renderer.h
%{_includedir}/rygel-2.6/rygel-ruih.h
%{_includedir}/rygel-2.6/rygel-server.h
%{_pkgconfigdir}/rygel-core-2.6.pc
%{_pkgconfigdir}/rygel-renderer-2.6.pc
%{_pkgconfigdir}/rygel-renderer-gst-2.6.pc
%{_pkgconfigdir}/rygel-server-2.6.pc

%files -n vala-rygel
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/rygel-core-2.6.deps
%{_datadir}/vala/vapi/rygel-core-2.6.vapi
%{_datadir}/vala/vapi/rygel-db-2.6.deps
%{_datadir}/vala/vapi/rygel-db-2.6.vapi
%{_datadir}/vala/vapi/rygel-renderer-2.6.deps
%{_datadir}/vala/vapi/rygel-renderer-2.6.vapi
%{_datadir}/vala/vapi/rygel-renderer-gst-2.6.deps
%{_datadir}/vala/vapi/rygel-renderer-gst-2.6.vapi
%{_datadir}/vala/vapi/rygel-ruih-2.0.deps
%{_datadir}/vala/vapi/rygel-ruih-2.0.vapi
%{_datadir}/vala/vapi/rygel-server-2.6.deps
%{_datadir}/vala/vapi/rygel-server-2.6.vapi

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/librygel-core
%{_gtkdocdir}/librygel-renderer
%{_gtkdocdir}/librygel-renderer-gst
%{_gtkdocdir}/librygel-server
%changelog
* Mon Mar 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rygel.git;a=log;h=master

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 87a7269
- noarch vala subpackage

* Sat Mar 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 96bf969
- updated to 0.28.3

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 963f034
- updated to 0.28.2

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 26b49f2
- updated to 0.28.1

* Mon Aug 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 8a61acc
- updated to 0.26.1 (note: new library names)

* Sun Jan 25 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9c2fda4
- Update to 0.24.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a52ab88
- updated gettext BR

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> e688231
- release 2

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 7e752e4
- BR: vala-libgee

* Sat Nov 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 97fdd76
- updated to 0.24.2

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 0735e31
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 9c3a812
- release 2 (by relup.sh)

* Tue Jul 29 2014 Jakub Bogusz <qboosh@pld-linux.org> f0e0184
- updated to 0.22.3
- removed obsolete valadoc-workaround patch

* Thu May 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 20fecd0
- updated to 0.22.2

* Thu Apr 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 7a05951
- updated to 0.22.1

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> f129461
- noarch apidocs

* Wed Apr 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 3c25e0f
- updated to 0.22.0 (note: new sonames)
- added valadoc-workaround patch (disable programlisting tags incorrectly handled by current valadoc)

* Tue Dec 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 58018ee
- updated to 0.20.3, now with tracker 0.18 support

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 92a9a17
- updated to 0.20.2

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 75732bf
- updated to 0.20.1
- pl, completed dependencies, separated -apidocs and vala- packages

